明经CAD社区

 找回密码
 注册

QQ登录

只需一步,快速开始

搜索
查看: 1614|回复: 2

请问如何在命令行交互输入字符串?

[复制链接]
发表于 2005-11-14 10:32:00 | 显示全部楼层 |阅读模式
请问如何在命令行交互输入字符串?我想对某一层进行操作,用"Getstring",输入层名时总是出错。
发表于 2005-11-14 16:49:00 | 显示全部楼层
<RE class=Code>Utility.GetString</PRE><RE class=Code>AutoCAD里有帮助</PRE><RE class=Code>Sub Example_GetString()
    ' This example demonstrates different ways of returning a string
    ' entered by a user.
   
    Dim returnString As String
   
    ' Prompt &amp; Input cannot contain blanks
    returnString = ThisDrawing.Utility.GetString(False, "Enter text (a space or &lt;enter&gt; terminates input): ")
    MsgBox "The string entered was '" &amp; returnString &amp; "'", , "GetString Example"
   
    ' Prompt &amp; Input can contain blanks
    returnString = ThisDrawing.Utility.GetString(True, "Enter text (&lt;enter&gt; terminates input):")
    MsgBox "The string entered was '" &amp; returnString &amp; "'", , "GetString Example"
   
    ' Prompt &amp; Input can contain blanks, but not an empty string
    Dim NoNull As Integer
    NoNull = 1    ' Disallow null
    ThisDrawing.Utility.InitializeUserInput NoNull
    returnString = ThisDrawing.Utility.GetString(True, "Enter text (&lt;enter&gt; terminates input): ")
    MsgBox "The string entered was '" &amp; returnString &amp; "'", , "GetString Example"

End Sub</PRE>
 楼主| 发表于 2005-11-15 13:22:00 | 显示全部楼层
谢谢
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号 )  
©2000-2023 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2024-11-27 08:25 , Processed in 0.158162 second(s), 23 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表